Bug 435401 - new PO files fail to set PRODUCT and VERSION
new PO files fail to set PRODUCT and VERSION
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
high Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-28 21:32 EST by Jeff Fearn
Modified: 2010-11-23 23:17 EST (History)
4 users (show)

See Also:
Fixed In Version: 0.31
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-02 18:48:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Fearn 2008-02-28 21:32:21 EST
Description of problem:
When new PO files are created by running make update-po* PRODUCT and VERSION are
not changed in the PO file. This causes msgfmt and msgmerge to error.

Version-Release number of selected component (if applicable):
0.30-0

How reproducible:
Always

Steps to Reproduce:
1. Add a lang to OTHER_LANG in Makefile
2. run make update-po-<langL
3. witness errors
  
Actual results:
msgfmt emits an error

Expected results:
valid PO file

Additional info:
Comment 1 Jeff Fearn 2008-03-02 18:48:01 EST
Added code to set Version and Product when PO files are created.
Comment 2 Noriko Mizumoto 2008-03-06 23:40:39 EST
Hi Jeff

How to get this fix?
Comment 3 Fedora Update System 2008-04-09 02:14:28 EDT
publican-fedora-0.12-0.fc8,publican-0.33-0.fc8 has been submitted as an update for Fedora 8
Comment 4 Fedora Update System 2008-07-23 03:21:06 EDT
publican-fedora-0.12-0.fc8, publican-0.33-0.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.